<app-auth-block>

  <div class="authblock">
    <form [formGroup]='myForm' (ngSubmit)="SignIn()">
      <h3>Sign In {{dateOfToday | date }}</h3>
      <div class="formGroup">
        <input type="email" class="formControl" placeholder="Username" formControlName="email">
      </div>

      <div class="formGroup">
        <input type="password" class="formControl" placeholder="Password" formControlName="password">
      </div>
      <!--     <div class="formGroup">
          <div nbRecaptcha key="public key" #captcha></div>
        </div> -->
      <!-- Calling SignIn Api from AuthService -->
      <div class="formGroup">
        <input type="submit" [disabled]="myForm.invalid" class="btn btnPrimary" value="Log in">
      </div>
    </form>

    <!-- Calling GoogleAuth Api from AuthService -->

     <div class="formGroup">
          <span class="or"><span class="orInner">Or</span></span>
        </div>


        <div class="formGroup">
          <button type="button" class="btn googleBtn" (click)="authService.googleSignin()">
            <i class="fab fa-google-plus-g"></i>
            Log in with Google
          </button>
        </div>

    <div class="forgotPassword">
      <span routerLink="/forgot-password">Forgot Password?</span>
    </div>
  </div>


  <div class="redirect">
    <div class="redirectToLogin">
      <span>Don't have an account ?<span class="redirect" routerLink="/register-user"> Sign Up</span></span>
    </div>
  </div>

</app-auth-block>
